#!/usr/bin/python
# -*- coding: utf-8 -*-
"""datetime.strftime (localisation)"""

# minimal python3 compatibility
from __future__ import print_function
import locale
import datetime

now = datetime.datetime(2017,1,23,12,12,57)
form1 = '%Y-%m-%d %H:%M:%S'
form2 = '%d. %B %Y, %H:%M'

print(now.strftime(form1))

locale.setlocale(locale.LC_ALL, 'de_AT.UTF8')
print(now.strftime(form2))

locale.setlocale(locale.LC_ALL, 'de_DE.UTF8')
print(now.strftime(form2))
